#### growth model
all<-read.table(file="WEIGHT.txt", header=T)
str(all)
names(all)
summary(all)
all$fTank <-as.factor(all$Tank)
all$logw<-log10(all$Weight)
all$LogE<- log10(all$Eggsize+1)
all$cLogE<-(all$LogE - mean(all$LogE))

require(lmerTest)
all1<-lmer(logw ~ cLogE*Group + cLogE*Treatment + Group*Treatment  + (Treatment|Family) + (1|Treatment:fTank), data=all)
summary(all1)
step(all1)

### pairwise comparisons
allf<-lmer(logw ~ cLogE*Treatment + Group  + (Treatment|Family) + (1|fTank), data=all)
summary(allf)
step(allf)

require(multcomp) 
summary(glht(allf, linfct = mcp(Group = "Tukey")))
summary(glht(allf, linfct = mcp(Treatment = "Tukey")))
egg<-aov(cLogE ~ Group, data=all)
summary(glht(egg, linfct = mcp(Group = "Tukey")))


### survival model
allsur<-read.table(file="MORTALITY.txt", header=T) #  imported file

allsur$Tank<-factor(allsur$Tank)
str(allsur)
allsur$cWeight<-((allsur$Control.W - mean(allsur$Control.W))/sd(allsur$Control.W))
allsur$LogES<- log10(allsur$Eggsize+1)
allsur$cLogES<-(allsur$LogES - mean(allsur$LogES))
str(allsur)

detach("package:lmerTest", unload=TRUE)
require(lattice)
library(lme4)

sur1<-glmer(survive ~ Treatment*Group + Treatment*cLogES + Group*cLogES + (1|Tank), family = binomial, data = allsur)
dotplot(ranef(sur1, condVar = TRUE)) 

sur2<-glmer(survive ~ Treatment*Group + Treatment*cLogES + Group*cLogES + (1|Family), family = binomial, data = allsur)
dotplot(ranef(sur2, condVar = TRUE)) 

afex::mixed(sur2, data=allsur, type = 3, method ="PB")
summary(sur2)

sur2<-glmer(survive ~ Treatment*Group + Treatment*cLogES + Group*cLogES+ (1|Tank) + (1|Family), family = binomial, data = allsur)
afex::mixed(sur2, data=allsur, type = 3, method ="PB")
summary(sur2)


